"""
Add fields to lookup
"""

from yoyo import step

__depends__ = {'20231119_00_ASHrR6-fix-revisions-table-to-match-tags-type'}

steps = [
    step("""
ALTER TABLE public.lookup ADD COLUMN public_id TEXT;
ALTER TABLE public.lookup ADD COLUMN relation_id INTEGER;
CREATE SEQUENCE lookup_relation_id_seq;
CREATE INDEX lookup_relation_id_index ON public.lookup USING btree (relation_id);
"""),
]
